/* ShortcutWidget.h */

/* Copyright (C) 2011-2017  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SAYONARASHORTCUTWIDGET_H
#define SAYONARASHORTCUTWIDGET_H

class QString;
/**
 * @brief Interface that should be implemented when using configurable shortcuts.
 * @ingroup GUIHelper
 * @ingroup Interfaces
 */
class ShortcutWidget 
{
public:
	virtual QString get_shortcut_text(const QString& shortcut_identifier) const=0;

protected:
	ShortcutWidget();
	virtual ~ShortcutWidget();
};

#endif // SAYONARASHORTCUTWIDGET_H
